/* Баннер с видео */
.video-banner {
    position: relative;
    height: 905px;
    overflow: hidden;
}

.video-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.video-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    color: var(--color-white);
    padding: 0 20px;
    box-sizing: border-box;
    padding-left: 60px;
}

.banner-title {
    font-size: 105px;
    font-weight: bold;
    margin-bottom: 15px;
    line-height: 1;
}

.banner-text {
    font-size: 48px;
    margin-bottom: 15px;
    font-weight: bold;
    line-height: 1;
}

.banner-buttons {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
}

.banner-buttons .btn {
    padding: 21px 14px;
    font-size: 16px;
    text-decoration: none;
    font-weight: 700;
    transition: all 0.3s;
    cursor: pointer;
    border: none;
    flex-shrink: 0;
    text-transform: uppercase;
}

.banner-buttons .btn-primary {
    background-color: var(--color-white);
    color: var(--color-black);
}

.banner-buttons .btn-primary:hover {
    opacity: 0.9;
}


/* Кнопка управления видео */
.video-control-button {
    position: absolute;
    bottom: 30px;
    right: 30px;
    width: 88px;
    height: 88px;
    background-color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease, opacity 0.3s ease, background-color 0.3s ease;
    border: none;
    padding: 0;
}

.video-control-button:hover {
    transform: scale(1.1);
    background-color: #f5f5f5;
}

.video-control-button:active {
    transform: scale(0.95);
}

.control-icon {
    width: 28px;
    height: 28px;
}

/* Адаптивность для планшетов */
@media (max-width: 768px) {
    .video-control-button {
        bottom: 20px;
        right: 20px;
        width: 50px;
        height: 50px;
    }
    
    .control-icon {
        width: 24px;
        height: 24px;
    }
    .video-banner {
  
}
}

/* Адаптивность для мобильных */
@media (max-width: 576px) {
    .video-control-button {
        right: 20px;
        width: 88px;
        height: 88px;
    }
}


/* Адаптивность видео-баннера */
@media (max-width: 768px) {
    .video-banner {
        height: 600px;
    }
    .video-overlay{
        padding-left: 20px;
    }
    .banner-title {
        font-size: 48px;
    }
    
    .banner-text {
        font-size: 32px;
    }
    
    .banner-buttons {
        flex-direction: column;
        align-items: center;
        gap: 15px;
    }
    
    .banner-buttons .btn {
        padding: 12px 25px;
        font-size: 16px;
        width: 200px;
        text-align: center;
    }
}

@media (max-width: 576px) {
    .video-overlay {
        justify-content: flex-end;    
        padding: 0 20px;
        padding-bottom: 100px;
    }

    .video-banner {
        height: 688px;
    }
    
    .banner-title {
        font-size: 38px;
        margin-bottom: 20px;
    }
    
    .banner-text {
        font-size: 32px;
        margin-bottom: 30px;
    }
    
    .banner-buttons .btn {
        width: 100%;
        max-width: 250px;
    }

    .video-control-button {
        width: 57px;
        height: 57px;
    }
}